Package: org.codehaus.groovy.runtime

## [Java] Class ClassExtender

- org.codehaus.groovy.runtime.ClassExtender

- A helper class used by the runtime to allow Groovy classes to be extended at runtime

  Authors:
    James Strachan

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addMethod(String name, Closure closure)`
    `` | `void` | `call(String name, Object params)`
    `` | `protected Map` | `createMap()`
    `` | `Object` | `get(String name)`
    `` | `void` | `remove(String name)`
    `` | `void` | `removeMethod(String name)`
    `` | `void` | `set(String name, Object value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public void addMethod(String name, Closure closure)

    - #### public void call(String name, Object params)

    - #### protected Map createMap()

    - #### public Object get(String name)

    - #### public void remove(String name)

    - #### public void removeMethod(String name)

    - #### public void set(String name, Object value)